Page MenuHomeFreeBSD

www/firefox: update to 72.0
ClosedPublic

Authored by jbeich on Dec 12 2019, 2:44 PM.

Details

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Dec 12 2019, 2:44 PM
jbeich added inline comments.Dec 17 2019, 12:43 AM
Mk/bsd.gecko.mk
377 ↗(On Diff #65544)

Another way to fix this was using WITHOUT_FBSD10_FIX but lang/rust updates often require patching vendored crates, so let's avoid adjusting checksums.

error: the listed checksum of `third_party/rust/backtrace-sys/src/libbacktrace/config/libtool.m4` has changed:
expected: 644ce34d5e9fcc544f3ef5c707f4cb29add798bbfc24e29932b55fb251e50353
actual:   ebb0ea22171279e2f7e21d5a0bdabc301d01315afe2643978106ccbfe3cb519b
jbeich updated this revision to Diff 65924.Dec 23 2019, 1:03 AM
tobik added a subscriber: tobik.EditedDec 26 2019, 7:38 PM

Can you include this patch to fix random tab crashes when playing videos using sndio? Thanks.

https://raw.githubusercontent.com/t6/freebsd-ports-sndio/sndio-rebase/www/firefox/files/patch-cubeb

@tobik, is it related to the update in question or can be backported to firefox 71 and esr68?

@tobik, is it related to the update in question or can be backported to firefox 71 and esr68?

Maybe? I have not run tested with anything but 72.0b9. It will probably apply as is to 71.

This revision was not accepted when it landed; it landed in state Needs Review.Dec 31 2019, 12:47 AM
Closed by commit rP521576: www/firefox: update to 72.0 (authored by jbeich). · Explain Why
This revision was automatically updated to reflect the committed changes.